clear all;

run('liste_appareils_electriques.m');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Donnes mto
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

file_data_maisons='Parametres_maisons.xlsx';
meteo_file='meteoNeuch1992.txt';
delta_t_meteo_file=10                           % Priode chantillonnage fichier mto [min]

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Lecture des donnes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

rayonnement=load_rayonnement(meteo_file,1,delta_t_meteo_file);
time=linspace(0,60*size(rayonnement,2)-1,size(rayonnement,2))';
[a b data_maison_txt]=xlsread(file_data_maisons);
data_maison_txt=data_maison_txt';
for n=2:size(data_maison_txt,1)
    Nbr_occupants           =cell2mat(data_maison_txt(n,2));
    presence_midi           =cell2mat(data_maison_txt(n,3));                          % Y a t-il quelqu'un  la maison le midi en semaine? 0->Non    1->Oui
    heure_depart_matin      =cell2mat(data_maison_txt(n,4));                     % Heure de dpart au travail le matin
    heure_arrivee_midi      =cell2mat(data_maison_txt(n,5));                     % Heure d'arrive  midi
    heure_depart_midi       =cell2mat(data_maison_txt(n,6));                      % Heure de dpart au travail aprs midi
    heure_arrivee_soir      =cell2mat(data_maison_txt(n,7));                     % Heure de retour du travail le soir
    jours_depart_vacances   =sscanf(cell2mat(data_maison_txt(n,8)),'%f')';     % Tableau des jours de dpart en vacances
    durees_vacances         =sscanf(cell2mat(data_maison_txt(n,9)),'%f')';           % Tableau des dures des vacances

    presence=periodes_presence(presence_midi, heure_depart_matin,heure_arrivee_midi,heure_depart_midi,heure_arrivee_soir,jours_depart_vacances,durees_vacances);

    for m = 1:365.25*24*60
        puissance_consommee(m)=0;
    end
    for m=1:size(tab_appareils,1);
        puissance_consommee=puissance_consommee+puissance(presence,rayonnement,tab_appareils(m,:));
    end
    
    Puissance_consommee=struct('time', time, 'signals',struct('values',puissance_consommee'),'dimensions',1);
    filename=horzcat('Besoins_elec_maison_',num2str(cell2mat(data_maison_txt(n,1))),'.mat');
    save(filename,'Puissance_consommee');
end    

clear all;
    

    